[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85EncoderStream.Write

Write data encoded to the destination stream

## Declaration

Source position: ascii85.pp line 90

`public function TASCII85EncoderStream.Write(`
`const aBuffer;`
`aCount: LongInt`
`):LongInt; override;`

## Description

Write encodes the aCount bytes of data in aBuffer and writes the encoded data to the destination stream.

Not all data is written immediatly to the destination stream. Only after the encoding stream is destroyed will the destination stream contain the full data.

## See also

TASCII85EncoderStream.Destroy |  | Flushed the data to the output stream and cleans up the encoder instance.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.